Table of Contents

Breaking Changes

The following sections provide more details on the breaking changes introduced for release 2025.16.0.

Standard Task Documents

Added Standard Task Documents that can roll out as Regular Asset Task Documents. A Standard Task can now be linked on either the Asset Type or the Asset side. To re-use the same entity on both Asset Types and Assets, the foreign key from the RegularAssetTypeTaskDocument->InheritedFromId to the StandardTaskDocument->Id had to be removed, resulting in a breaking change.

Impacted Resources

API Method Path
AMPC.ASSETTYPES GET /Modules/AMPC/RegularAssetTypeTasks/Documents/Batch/{ids}
AMPC.ASSETTYPES GET /Modules/AMPC/RegularAssetTypeTasks/Documents/{id}

Imports

Fixed the OpenApi schema definition for the request content type vnd.onkey.entityimportcollection+json to remove the models property as the request body only contains an array of import models.

Impacted Resources

API Method Path
SYSTEM POST /Modules/SYSTEM/Imports

Entity Exists

Fixed the OpenApi schema definition for the request content type vnd.onkey.entityexistscheckcollection+json to remove the checks property as the request body only contains an array of entity exist check models.

Impacted Resources

API Method Path
SYSTEM POST /Modules/SYSTEM/EntityExists

Asset Type Entity Change IsActive

The endpoints have been changed to use Asset Type Rollout. This resulted in the async behaviour being removed from the endpoints

Impacted Resources

API Method Path
AMPC.ASSETTYPES PATCH /Modules/AMPC/AssetTypeFmecas
AMPC.ASSETTYPES PATCH /Modules/AMPC/AssetTypeFmecas/Tasks
AMPC.ASSETTYPES PATCH /Modules/AMPC/AssetTypeFunctions
AMPC.SHARED PATCH /Modules/AMPC/StandardTasks/Resources
AMPC.SHARED PATCH /Modules/AMPC/StandardTasks/Spares
AMPC.SHARED PATCH /Modules/AMPC/StandardTasks/SubTasks

Asset FMECA Include Children

Asset FMECA Include Children query string parameter removed. Asset FMECA does not have children.

Impacted Resources

API Method Path
AMPC.ASSETS PATCH /Modules/AMPC/AssetFmecas

OpenApi Schema Fixes

Fixed the OpenApi schema definitions for the following operations to match the actual vnd.onkey.entitypatchcollection+json or vnd.onkey.entitycollection+json content types accepted

Impacted Resources

API Method Path
AMPC.ASSETS PATCH /Modules/AMPC/PlaceholderAssetComponents/Batch/ClearPlaceholderAssetComponent
AMPC.ASSETS PATCH /Modules/AMPC/PlaceholderAssetComponents/Batch/LinkPlaceholderAssetComponent
AMPC.ASSETS PATCH /Modules/AMPC/PlaceholderAssetComponents/Batch/SetPlaceholderAssetComponent
AMPC.ASSETS PATCH /Modules/AMPC/PlaceholderAssetComponents/Batch/UnlinkPlaceholderAssetComponent
AMPC.ASSETS PATCH /Modules/AMPC/RegularAssets/Batch/ChangeType
AMPC.ASSETS POST /Modules/AMPC/AssetTasks/Spares/SetWarehouse/Batch
AMPC.ASSETTYPES PATCH /Modules/AMPC/PlaceholderAssetTypes/batch/ClearPlaceholder
AMPC.ASSETTYPES PATCH /Modules/AMPC/PlaceholderAssetTypes/batch/LinkAssetType
AMPC.ASSETTYPES PATCH /Modules/AMPC/PlaceholderAssetTypes/Batch/SetPlaceholder
AMPC.ASSETTYPES PATCH /Modules/AMPC/PlaceholderAssetTypeComponents/Batch/ClearPlaceholderAssetTypeComponent
AMPC.ASSETTYPES PATCH /Modules/AMPC/PlaceholderAssetTypeComponents/Batch/LinkPlaceholderAssetTypeComponent
AMPC.ASSETTYPES PATCH /Modules/AMPC/PlaceholderAssetTypeComponents/Batch/SetPlaceholderAssetTypeComponent
MM POST /Modules/MM/Requisitions/Items/Issue/Batch
MM POST /Modules/MM/Requisitions/Items/Return/Batch
WM POST /Modules/WM/WorkOrders/Merge/Batch
WM POST /Modules/WM/WorkOrders/Split/Batch